# Get the reason for the claim This endpoint allows you to view, through a valid token, the 'reason' why the claim was created, so that based on its classification, certain behaviors are allowed. **GET** `/post-purchase/v1/claims/reasons/{reason_id}` ## Request parameters ### Path - `reason_id` (string, required) Reason ID of the claim. A claim can be created for three general reasons: ## Response parameters - `id` (string, optional) Reason ID of the claim. A claim can be created for three general reasons: Possible enum values: - `PNR` Product not received. - `PDD` Different or defective product. - `CS` Purchase cancellation. - `flow` (string, optional) Indicates which mediation flow the claim is currently in. Possible enum values: - `mediations` Refers to the process of mediating between parties in a claim. - `cancel_purchase` Involves the process of cancelling a previously made purchase. - `return` Pertains to the process of returning a purchased item. - `cancel_sale` oncerns the process of cancelling a sale that has been made. - `change` Refers to the alteration or modification of the details or status of a claim. - `name` (string, optional) Displays the description of the reason for the claim. - `detail` (string, optional) Displays details about the reason for the claim. - `position` (number, optional) Position in which the reason for the complaint is found. It serves the same function as 'sort_by', but it is a default sorting type that will sort the reasons asynchronously. - `filter` (object, optional) Filtering attributes of claim information. - `settings` (object, optional) Filtering attributes of claim information. ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/post-purchase/v1/claims/reasons/{reason_id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": "PDD1", "flow": "meadiations", "name": "defective_item", "detail": "El producto es defectuoso.", "position": 201, "filter": {}, "settings": {} } ```